Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 150531 - xine-lib-1.1.2 decodes mp3 as noise
Summary: xine-lib-1.1.2 decodes mp3 as noise
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: PPC Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-08 19:03 UTC by Gioele Barabucci
Modified: 2008-08-26 20:01 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gioele Barabucci 2006-10-08 19:03:32 UTC
xine-lib 1.1.2 (or some underlaying lib) decodes mp3 as noise. Vorbis is played fine.

Everytime I use Amarok or Kaffeine to play an mp3, xine-lib plays back just noise, nothing else.

I am running on PowerPC (G3), maybe gcc-4.1 miscompiled something.

| emerge -pv xine-lib
| 
| These are the packages that would be merged, in order:
| 
| Calculating dependencies... done!
| [ebuild   R   ] media-libs/xine-lib-1.1.2-r2  USE="X a52 aac alsa
| arts asf dts dvd flac ipv6 mad mng modplug nls opengl sdl speex
| theora vorbis xinerama xv -aalib (-altivec) -debug
| -directfb -dxr3 -esd -fbcon -gnome -imagemagick -libcaca -oss
| -samba -v4l -vcd -vidix (-win32codecs) (-xvmc)"
| VIDEO_CARDS="(-i810) (-nvidia) (-via)" 0 kB
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-10-08 23:56:28 UTC
You forgot emerge info. please also state which version of libmad are you currently using.
Comment 2 Gioele Barabucci 2006-10-09 04:10:36 UTC
emerge --info

Portage 2.1.2_pre2-r6 (default-linux/ppc/ppc32/2006.1/G3, gcc-4.1.1, glibc-2.4-r4, 2.6.17-gentoo-r7 ppc)
=================================================================
System uname: 2.6.17-gentoo-r7 ppc 750FX
Gentoo Base System version 1.12.5
Last Sync: Sun, 08 Oct 2006 12:00:01 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.0-r2, 2.0.30
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="ppc ~ppc"
AUTOCLEAN="yes"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-O3 -pipe -mcpu=G3 -fno-strict-aliasing"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-O3 -pipe -mcpu=G3 -fno-strict-aliasing"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer parallel-fetch sandbox sfperms strict"
GENTOO_MIRRORS="http://mirror.cse.unsw.edu.au/pub/gentoo http://ftp.swin.edu.au/gentoo"
LINGUAS="en en_US en_GB en_AU"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage-overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="ppc X a52 aac acl alsa apache2 arts berkdb bonobo bzip2 c++ cdr cli crypt cups dbus dlloader dri dts dv dvd dvdr eds elibc_glibc emboss encode exif ffmpeg firefox flac gdbm gif gmp gnutls gtkhtml hal howl idn ieee1394 input_devices_evdev input_devices_keyboard input_devices_mouse ipv6 isdnlog jpeg jpeg2k kde kernel_linux lcms libg++ libwww linguas_en linguas_en_AU linguas_en_GB linguas_en_US mad matroska mikmod mime mmap mng modplug mp3 mpeg mpeg4 musicbrainz ncurses nls nptl nptlonly ogg openexr opengl pam pcre png pnp pppd python qt qt3 qt4 quicktime readline reflection ruby sasl sdl session speex spell spl ssl subversion svg sysfs theora threads tiff truetype truetype-fonts type1-fonts udev unicode usb userland_GNU userlocales utf8 vhosts video_cards_dummy video_cards_fbdev video_cards_radeon vorbis wifi xinerama xml xorg xv xvid zeroconf zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Gioele Barabucci 2006-10-09 04:11:34 UTC
emerge -pv libmad

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] media-libs/libmad-0.15.1b-r2  USE="-debug" 0 kB
Comment 4 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-10-09 04:27:11 UTC
Can you give a try at the -r1 version? -r2 had some PPC-proper optimisations that might be broken.
Comment 5 Gioele Barabucci 2006-10-09 16:54:20 UTC
libmad or libxine -r1?
Comment 6 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-10-10 01:15:25 UTC
libmad
Comment 7 Gioele Barabucci 2006-10-10 05:33:45 UTC
I downgraded libmad to version 0.15.1b-r1.
Still the same problem.
Comment 8 Gioele Barabucci 2006-10-16 21:23:23 UTC
I recompiled libmad to -r2 but the problem is still there.
What can I do in order to gather more information on this issue? USE="debug"?
Comment 9 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-11-30 19:04:30 UTC
Can you check if 1.1.3 with and without mad useflag helps?
If you can, send me a sample of an mp3 files being distorted.
Comment 10 Gioele Barabucci 2006-12-03 01:51:54 UTC
I compiled media-libs/xine-lib-1.1.3_pre20061129 with USE="mad" and the problem was still there.
Compiling xine-lib without libmad support solved the problem.

The CPU usage is very high, but I think I should report this to the amarok developers.

If you still want to investigate this problem, you can use one any of the wired-creative-common-cd tracks (freely available on the inet).
Comment 11 Massimo Burcheri 2007-02-06 19:28:43 UTC
Same problem here.
Reemerging the old version helped:
emerge =libmad-0.15.1b
You should _mask_ the new libmad for ppc until there's a bugfix.

Any recommendation for having USE -mad and using a different (?) decoder for xine?
Comment 12 Massimo Burcheri 2007-02-06 19:30:31 UTC
ADD.:

same machine, G3 750FX

# emerge --info
Portage 2.1.1-r2 (default-linux/ppc/ppc32/2006.1/G3, gcc-4.1.1, glibc-2.4-r4, 2.6.19-gentoo-r4 ppc)
=================================================================
System uname: 2.6.19-gentoo-r4 ppc 750FX
Gentoo Base System version 1.12.6
Last Sync: Sun, 04 Feb 2007 23:50:01 +0000
distcc 2.18.3 powerpc-unknown-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.31
dev-lang/python:     2.3.5-r2, 2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r6
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.14
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="ppc"
AUTOCLEAN="yes"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-mcpu=750 -O2 -pipe -ftracer"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-mcpu=750 -O2 -pipe -ftracer -fvisibility-inlines-hidden"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks fixpackages metadata-transfer parallel-fetch sandbox sfperms strict"
GENTOO_MIRRORS="ftp://sunsite.informatik.rwth-aachen.de/pub/linux/gentoo http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo"
LANG="de_DE@euro"
LC_ALL="de_DE@euro"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/spool/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/portage/local/layman/sunrise /usr/portage/local/layman/lila-theme /usr/portage/local/layman/gentoo-de /usr/portage/local/layman/genstef /usr/portage/local/layman/break-my-gentoo-main"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="ppc X aac aalib aim alsa alsa_cards_powermac alsa_pcm_plugins_adpcm alsa_pcm_plugins_alaw alsa_pcm_plugins_asym alsa_pcm_plugins_copy alsa_pcm_plugins_dmix alsa_pcm_plugins_dshare alsa_pcm_plugins_dsnoop alsa_pcm_plugins_empty alsa_pcm_plugins_extplug alsa_pcm_plugins_file alsa_pcm_plugins_hooks alsa_pcm_plugins_iec958 alsa_pcm_plugins_ioplug alsa_pcm_plugins_ladspa alsa_pcm_plugins_lfloat alsa_pcm_plugins_linear alsa_pcm_plugins_meter alsa_pcm_plugins_mulaw alsa_pcm_plugins_multi alsa_pcm_plugins_null alsa_pcm_plugins_plug alsa_pcm_plugins_rate alsa_pcm_plugins_route alsa_pcm_plugins_share alsa_pcm_plugins_shm alsa_pcm_plugins_softvol ansi automount bash-completion berkdb bitmap-fonts bonobo branding bzip2 cdparanoia cdr cdrom cli cracklib crypt cups divx4linux dlloader dri dvd dvdr dvdread eds elibc_glibc emboss encode fbcon flac gdbm gecko-sdk gif gimp glibc-omitfp gpm gstreamer gtk gtk2 gtkhtml ibam iconv icq ieee1394 imap input_devices_evdev input_devices_keyboard input_devices_mouse isdnlog jabber javascript jpeg kde kdehiddenvisibility kernel_linux lcd_devices_bayrad lcd_devices_cfontz lcd_devices_cfontz633 lcd_devices_glk lcd_devices_hd44780 lcd_devices_lb216 lcd_devices_lcdm001 lcd_devices_mtxorb lcd_devices_ncurses lcd_devices_text libcaca libg++ libwww linguas_de mad midi mikmod mp3 mpeg mplayer msn musepack ncurses network nls nptl nptlonly nsplugin ogg oggvorbis opengl pam pcre pdf perl pic png ppds pppd pthreads python qt3 qt3support qt4 quicktime radeon readline reflection samba scanner sdl session slang spell spl ssl subversion svg tcpd tetex truetype truetype-fonts type1-fonts udev unicode usb userland_GNU userlocales vcd video_cards_radeon vim vorbis xine xml xorg xprint xscreensaver xv xvid yahoo zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_RSYNC_EXTRA_OPTS
Comment 13 Joe Jezak (RETIRED) gentoo-dev 2007-02-11 06:43:58 UTC
I can't reproduce this on my G4 powerbook :(  Does it happen when using madplay or only applications that depend on xine-lib? (emerge madplay to test it out).  Perhaps it's the -mcpu=750/G3 option.  Does compiling with just "-pipe -O1" make any difference?
Comment 14 Joe Jezak (RETIRED) gentoo-dev 2007-02-11 07:15:16 UTC
Sorry, I just remembered the thread on the forums for this. :p  Can you perhaps try to comment out the whole --enable-fpm=ppc line in the -r2 ebuild?  Does that make a difference?
Comment 15 N. Dan Smith 2007-04-07 17:46:46 UTC
I cannot reproduce the problem here on my G3:

xine-lib-1.1.3 built with libmad-0.15b plays MP3s normally

xine-lib-1.1.3 built with libmad-0.15b-r2 including --enable-fpm=ppc plays MP3s normally

Portage 2.1.2.2 (default-linux/ppc/ppc32/2006.1/G3, gcc-4.1.1, glibc-2.4-r3, 2.6.18-gentoo-r3 ppc)
=================================================================
System uname: 2.6.18-gentoo-r3 ppc 740/750
Gentoo Base System version 1.12.1
Timestamp of tree: Sat, 07 Apr 2007 06:30:01 +0000
dev-java/java-config: 1.3.7, 2.0.31
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r4
ACCEPT_KEYWORDS="ppc"
AUTOCLEAN="yes"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=G3 -mtune=G3 -fno-strict-aliasing -pipe"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /opt/openjms/config /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -mcpu=G3 -mtune=G3 -fno-strict-aliasing -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks metadata-transfer sandbox sfperms strict test"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/root/tmp/sunrise"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X alsa apache2 berkdb bitmap-fonts bonobo cdr cli cracklib crypt cups directfb dri dvd eds emboss encode esd fbcon firefox fortran gdbm gif gnome gpm gstreamer gtk gtkhtml iconv ipv6 isdnlog jpeg ldap libg++ libwww mad midi mikmod mozilla mp3 mpeg ncurses nls nptl nptlonly ogg opengl pam pcre pdf perl php png ppc pppd python quicktime readline reflection ruby sdl session spell spl ssl tcpd test theora truetype truetype-fonts type1-fonts unicode vorbis xml xorg xv zlib" ALSA_CARDS="aoa aoa-fabric-layout aoa-onyx aoa-soundbus aoa-soundbus-i2s aoa-tas aoa-toonie powermac usb-audio via82xx" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="r128"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 16 Joe Jezak (RETIRED) gentoo-dev 2007-06-26 17:44:29 UTC
Please reopen if you can reproduce the problem.
Comment 17 Massimo Burcheri 2008-01-03 20:31:36 UTC
Purchasing a new book I still can reproduce this on a Powerbook5,8 G4:
CFLAGS="-mcpu=7450 -O2 -maltivec -mabi=altivec -fno-strict-aliasing -pipe -ftracer"
Comment 18 Kalkin Sam 2008-01-09 19:16:32 UTC
I can reproduce the bug on my Powerbook 5,8 G4 with libmad-0.15.1b-r2.
Applications like madplay and cmus which use this library, play some random noise.


emerge --info
Portage 2.1.3.19 (default-linux/ppc/ppc32/2007.0/G4, gcc-4.1.2, glibc-2.6.1-r0, 2.6.23-tuxonice-r6 ppc)
=================================================================
System uname: 2.6.23-tuxonice-r6 ppc 7447A, altivec supported
Timestamp of tree: Tue, 08 Jan 2008 22:46:01 +0000
app-shells/bash:     3.2_p17-r1
dev-lang/python:     2.4.4-r6
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.10-r5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="ppc"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-O2 -mtune=G4 -mcpu=G4 -maltivec -mabi=altivec -pipe"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -mtune=G4 -mcpu=G4 -maltivec -mabi=altivec -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.gentoo.mesh-solutions.com/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo"
LANG="de_DE.ISO-8859-15@euro"
LINGUAS="de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="aalib acl alsa altivec aspell berkdb bitmap-fonts cli cracklib crypt cups curses dri dts dvd fortran gdbm gpgme gpm iconv ipv6 isdnlog libcaca matroshka midi mp3 mudflap ncurses nls nptl nptlonly ogg openmp pcre perl ppc pppd python readline reflection session spell spl ssl tcpd theora truetype-fonts type1-fonts unicode vim-syntax vorbis xorg xv zlib zsh-completion" ALSA_CARDS="aoa aoa-fabric-layout aoa-onyx aoa-soundbus aoa-soundbus-i2s aoa-tas aoa-toonie powermac usb-audio via82xx" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY


Comment 19 Vladimir Uryvaev 2008-08-26 20:01:58 UTC
It seems like a bug in libmad really. I use Exaile and GStreamer and have this bug too. I also used Xfmedia with Xine and USE="-mad" when emerging xine solves problem. Also, USE="debug" when emerging libmad solves the problem too. Changing CFLAGS -O2/3/s -fomit-frame-pointer makes no difference

Technically, bug looks like an arithmetic overflow or signedness misuse near output (at last stages or after Fast Fourier Transform).
- The real music sometimes heard 'mixed' with noise.
- Plugin outputs silence where mp3 have REAL silence too
- Noise come similar to 'crack' sound and reduce loudness when volume of original sound is like i whisper.

And, my emerge --info
Portage 2.1.4.4 (default-linux/ppc/ppc32/2007.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.24-gentoo-r3 ppc)
=================================================================
System uname: 2.6.24-gentoo-r3 ppc 745/755
Timestamp of tree: Wed, 13 Aug 2008 16:00:01 +0000
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p33
dev-lang/python:     2.4.4-r14, 2.5.2-r6
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.7.9-r1, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="ppc"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-Os -mcpu=750 -mtune=750 -fno-strict-aliasing -pipe"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-Os -mcpu=750 -mtune=750 -fno-strict-aliasing -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="ru_RU.UTF-8"
LINGUAS="ru en"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X X11 aac acl alsa audiofile berkdb cli cracklib crypt cups directfb dri flac fortran gdbm gif glibc-omitfp gpm gtk hal iconv ipv6 isdnlog jpeg jpeg2k midi mp3 mudflap ncurses nls nptl nptlonly ogg openmp pcre pdf perl png ppc pppd python quicktime readline reflection session spl sqlite ssl svg taglib tcpd tiff unicode utf8 vorbis xfce xorg xvid zlib" ALSA_CARDS="aoa aoa-fabric-layout aoa-onyx aoa-soundbus aoa-soundbus-i2s aoa-tas aoa-toonie powermac usb-audio via82xx" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru en" USERLAND="GNU" VIDEO_CARDS="fbdev radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY